/*
 * ProcedurySHT3x.h
 *
 *  Created on: 25.09.2020
 *      Author: ryszard
 */

#ifndef SRC_PROCEDURY_SHT3X_PROCEDURYSHT3_H_
#define SRC_PROCEDURY_SHT3X_PROCEDURYSHT3_H_

#include "defines.h"
#include "stm32fxxx_hal.h"

#define SHT3I2CADDRL_7B		0x44	//I2C device addresses 7 bits ADDR (pin 2) connected to logic low

uint8_t OdczytRejestruStatusu(uint8_t *status);
uint8_t OdczytTemperaturyIWilgotnosci_Single(uint8_t *p_bufor,double *temperatura, double *wilgotnosc);
double KonwersjaSurowychDanychnaTemperature(uint8_t *p_buf);
double KonwersjaSurowychDanychnaWilgotnosc(uint8_t *p_buf);
uint8_t Podgrzewanie_OnOff(uint8_t podgrzewanie_wlacz);

#endif /* SRC_PROCEDURY_SHT3X_PROCEDURYSHT3_H_ */
